Package org.silverpeas.sso.azure

## Class AzureRequestRouter

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.silverpeas.core.web.sso.SilverpeasSsoHttpServlet
      - - org.silverpeas.sso.azure.AzureRequestRouter

- All Implemented Interfaces:
    `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

      public class AzureRequestRouter
      extends org.silverpeas.core.web.sso.SilverpeasSsoHttpServlet

  Author:
    silveryocha
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AzureRequestRouter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.silverpeas.core.web.sso.SilverpeasSsoPrincipal` | `computeSsoPrincipal​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |

    - ### Methods inherited from class org.silverpeas.core.web.sso.SilverpeasSsoHttpServlet

      `doGet, doPost`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AzureRequestRouter

          public AzureRequestRouter()

  - ### Method Detail

    - #### computeSsoPrincipal

          protected org.silverpeas.core.web.sso.SilverpeasSsoPrincipal computeSsoPrincipal​(javax.servlet.http.HttpServletRequest request,
                                                                                           javax.servlet.http.HttpServletResponse response)

      Specified by:
        `computeSsoPrincipal` in class `org.silverpeas.core.web.sso.SilverpeasSsoHttpServlet`